%define version 1.0.23
%define alibversion %version
%define beta 0
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif

Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: %version
%if %beta
Release: %mkrel 0.%{beta}.1
%else
Release: %mkrel 2
%endif
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %alibversion
BuildRequires: ncurses-devel ncursesw-devel
BuildRequires: xmlto
Requires: alsa-lib >= 1:%alibversion
# dependancies for alsaconf:
Requires: pciutils

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n speaker-test
Summary: ALSA test tool
Group: Sound
Requires: alsa-utils
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n alsaconf
Summary: ALSA configuration tool
Group: Sound
Requires: alsa-utils whiptail cdialog
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as mandriva linux will autoconfigure sound cards.

%prep
%setup -q -n %fname

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"

# move alsactl in /sbin in order to reload mixer settings on bootstrapping:
mkdir $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/{%_sbindir,sbin}/alsactl
ln -s ../../sbin/alsactl $RPM_BUILD_ROOT/%_sbindir

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/[a-i]*
%_sbindir/alsactl
/sbin/alsactl
%_mandir/man1/[a-i]*
%_mandir/man7/alsactl_init.7*
%_datadir/alsa/

%files -n speaker-test
%_bindir/speaker-test
%_mandir/man1/speaker-test.*
%_datadir/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%_sbindir/alsaconf
%_mandir/man8/alsaconf.*
%lang(fr) %_mandir/fr/man8/alsaconf.*




%changelog
* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.23-2mdv2010.1
+ Revision: 540345
- rebuild so that shared libraries are properly stripped again

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.23-1mdv2010.1
+ Revision: 535804
- New version: 1.0.23

* Sun Dec 20 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.22-1mdv2010.1
+ Revision: 480506
- New version: 1.0.22

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0.21-1mdv2010.0
+ Revision: 423173
- BR ncursesw-devel
- new release

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.20-1mdv2010.0
+ Revision: 374832
- new release
- workaround broken spec_helper
- new release

* Fri Feb 20 2009 Thierry Vignaud <tv@mandriva.org> 1.0.19-1mdv2009.1
+ Revision: 343371
- new release

* Wed Oct 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-1mdv2009.1
+ Revision: 298679
- Final version: 1.0.18
- Drop upstream applied patch

* Sun Sep 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.18-0.rc3.2mdv2009.0
+ Revision: 284629
- fix for a segmentation fault on 'alsactl store'

* Thu Sep 11 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc3.1mdv2009.0
+ Revision: 283649
- Add BuildRequire for xmlto
- New release candidate: 1.0.18rc3

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-1mdv2009.0
+ Revision: 236496
- New version: 1.0.17

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc2.1mdv2009.0
+ Revision: 219554
- new release

* Mon Jun 09 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc1.1mdv2009.0
+ Revision: 217219
- new release

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-1mdv2008.1
+ Revision: 163081
- new release

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-0.rc1.1mdv2008.1
+ Revision: 155930
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-1mdv2008.1
+ Revision: 98943
- new release

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-0.rc1.1mdv2008.0
+ Revision: 80100
- fix requires
- new release

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 1.0.14-3mdv2008.0
+ Revision: 62797
- require the virtual "whiptail" instead of newt for clarity

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-1.rc4.1mdv2008.0
+ Revision: 21555
- move alsactl from /usr/sbin into /sbin/ (#30368)
- new release


* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-1.rc2.1mdv2007.0
+ Revision: 112294
- new release

* Fri Dec 08 2006 Anssi Hannula <anssi@mandriva.org> 1.0.13-2mdv2007.1
+ Revision: 93650
- rebuild for ncurses

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71807
- Import alsa-utils

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Wed Sep 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-3mdv2007.0
- rebuild for new ncurses

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.1mdv2007.0
- new release

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc1.1mdv2007.0
- new release

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop requires on kernel

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- do not generate /etc/asound.names in %%post since it can fail at install time

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.10-2mdk
- Rebuild

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release
- kill patch 0 (merged upstream)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-5mdk
- tag translated man pages (#17431)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-4mdk
- split alsaconf and speaker-test in its own subpackage (smaller minimal install)

* Thu Jul 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-3mdk
- patch 0: backport fixes from 1.0.9a

* Wed Jun 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.9-2mdk
- Fix install on x86_64

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Thu May 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4a.2mdk
- new release
- kill source 1 (merged upstream)

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release
- kill patch 0 (merged upstream)
- source 1: add missing (not packaged) header file
- fix post-script

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.9-0.rc3.3mdk
- fix automake usage and build deps

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.2mdk
- patch 0: add support for the new naming API
- generate the name DB if needed on post-install

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- new release
- kill patch 0 (merged upstream)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release
- workaround buggy build system

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: propagate errors in alsactl when not using -F

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Fri Mar 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- requires cdialog too (#8764) which looks nice than newt interface and
  remove one error message that may confuse the user

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

